<?php 
defined('BASEPATH') OR exit('No direct script access allowed');
header('Access-Control-Allow-Origin: *');

class WebMincit extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
    
        //cargar la base de datos
        $this->load->database();
        //parser de json y xml
        $this->load->library("parser");

        //$this->load->model('Sesion_Model');
        $this->load->library('form_validation');
        //$this->load->library("Form_validation");
        $this->load->helper("url");
        $this->load->helper('form');
        $this->load->helper('text');
        
        //Cargando los modelos para gestion de la data sistema pena
        $this->load->model('WebMincit_Model');
        $this->load->model('Usuarios_Model');
		$this->load->model('Bitacora_Model');
    }
	
	//Enviar huesped principal al ministerio
    public function sendReporte($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Solo los datos validos 
        $NomHotel       = $this->input->post('NomHotel');  
        $NitHotel       = $this->input->post('NitHotel');  
		$RntHotel       = $this->input->post('RntHotel');
        $Identificacion = $this->input->post('Identificacion');
        $TipoDoc        = $this->input->post('TipoDoc');
        $Nombres        = $this->input->post('Nombres'); 
        $Apellidos      = $this->input->post('Apellidos');    
        $FechaNac       = $this->input->post('FechaNac');  
        $LugarNac       = $this->input->post('LugarNac');  
        $Genero         = $this->input->post('Genero'); 
        $Nacionalidad   = $this->input->post('Nacionalidad');  
        $NomHabitacion  = $this->input->post('NomHabitacion');         
        $Motivo         = $this->input->post('Motivo');  
        $Ocupacion      = $this->input->post('Ocupacion');  
        $Ciudad_Res     = $this->input->post('Ciudad_Res');  
        $Dpto_Res       = $this->input->post('Dpto_Res');  
        $Pais_Res       = $this->input->post('Pais_Res');  
        $Ciudad_Pro     = $this->input->post('Ciudad_Pro');  
        $Dpto_Pro       = $this->input->post('Dpto_Pro');  
        $Pais_Pro       = $this->input->post('Pais_Pro');  
        $FechaIni       = $this->input->post('FechaIni');  
        $FechaFin       = $this->input->post('FechaFin');  
        $ValorReserva   = $this->input->post('ValorReserva');  
        $Acompanantes   = $this->input->post('Acompanantes'); 
        $MedioPago      = $this->input->post('MedioPago');  
        $MedioReserva   = $this->input->post('MedioReserva');  
        $Acomodacion    = $this->input->post('Acomodacion');  
        $NumHabitacion  = $this->input->post('NumHabitacion');  
       
        $IdUsuario = $this->session->userdata('iduser');
		
		//Armar Arreglos
        $data = array(
			'NomHotel'       => $NomHotel,    
            'NitHotel'       => $NitHotel,
            'RntHotel'       => $RntHotel,
            'Identificacion' => $Identificacion,
            'TipoDoc'        => $TipoDoc,
            'Nombres'        => $Nombres,
            'Apellidos'      => $Apellidos,
            'FechaNac'       => $FechaNac,
            'LugarNac'       => $LugarNac,
            'Genero'         => $Genero,
            'Nacionalidad'   => $Nacionalidad,
            'NomHabitacion'  => $NomHabitacion,           
            'Motivo'         => $Motivo,
            'Ocupacion'      => $Ocupacion,
            'Ciudad_Res'     => $Ciudad_Res,
			'Dpto_Res'       => $Dpto_Res,
			'Pais_Res'       => $Pais_Res,
            'Ciudad_Pro'     => $Ciudad_Pro,
            'Dpto_Pro'       => $Dpto_Pro,
            'Pais_Pro'       => $Pais_Pro,
            'FechaIni'       => $FechaIni,
            'FechaFin'       => $FechaFin,
            'ValorReserva'   => $ValorReserva,
            'Acompanantes'   => $Acompanantes,
            'MedioPago'      => $MedioPago,
            'MedioReserva'   => $MedioReserva,
            'Acomodacion'    => $Acomodacion,
            'NumHabitacion'  => $NumHabitacion
        );
        
		date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  

        $this->load->model('Bitacora_Model');

		$datob = array( 'IdEvento ' => '23', 
                        'Fecha'     => $Date,
                        'Hora'      => $Time, 
                        'IdUsuario' => $IdUsuario);

        $resultado = $this->WebMincit_Model->saveWSReporte($data);
        $resultado = json_decode($resultado);
                        
        if(@$resultado->code != null){
                            
            $this->Bitacora_Model->saveBitacora($datob);
			print_r(json_encode(array("res"=>"ok","msg"=>"Reporte al ministerio creado satisfactoriamente", "Id"=>$resultado->code)));
			
		}else{

			print_r(json_encode(array("res"=>"bad","msg"=>"Reporte al ministerio no se puede crear")));
			
		}
    }

	//Enviar Acompanantes al Ministerio
    public function sendAcompanante($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  

        $this->load->model('Bitacora_Model');

		//Solo los datos validos 
		$Padre          = $this->input->post('Padre')==''?false:$this->input->post('Padre');
        $NomHotel       = $this->input->post('NomHotel')==''?false:$this->input->post('NomHotel');  
        $NitHotel       = $this->input->post('NitHotel')==''?false:$this->input->post('NitHotel');  
		$RntHotel       = $this->input->post('RntHotel')==''?false:$this->input->post('RntHotel');
        $FechaIni       = $this->input->post('FechaIni')==''?false:$this->input->post('FechaIni');  
        $FechaFin       = $this->input->post('FechaFin')==''?false:$this->input->post('FechaFin');  
        $NumHabitacion  = $this->input->post('NumHabitacion')==''?false:$this->input->post('NumHabitacion');  

		$Acompanantes   = $this->input->post('dataac')==''?false:$this->input->post('dataac');
        
        $IdUsuario = $this->session->userdata('iduser');
		
		//Armar Arreglos
        $data = array(
            'Padre'          => $Padre,
			'NomHotel'       => $NomHotel,    
            'NitHotel'       => $NitHotel,
            'RntHotel'       => $RntHotel,
            'FechaIni'       => $FechaIni,
            'FechaFin'       => $FechaFin,
            'NumHabitacion'  => $NumHabitacion
        );
		 
		$datob = array( 'IdEvento ' => '23', 
                        'Fecha'     => $Date,
                        'Hora'      => $Time, 
                        'IdUsuario' => $IdUsuario);

		//validar si existe el registro en la base de datos
		$resultado = $this->WebMincit_Model->saveWSAcompanante($data, $Acompanantes);
		$resultado = json_decode($resultado);
		
		if(@$resultado->code != null){
			$this->Bitacora_Model->saveBitacora($datab);
			print_r(json_encode(array("res"=>"ok","msg"=>"Reporte al ministerio creado satisfactoriamente", "Id"=>$resultado->code)));
			
		}else{

			print_r(json_encode(array("res"=>"bad","msg"=>"Reporte al ministerio no se puede crear - acompañante")));
			
		}
    }
	
	//funcion para remover caracteres especiales
	public function RemoveSpecialChar($str)
	{
		$search  = array('@',';','¿','?','¡','!','-','_','(',')','[',']','{','}','°','#','/');
		$replace = (' ');
		$res     = str_replace($search, $replace, $str);
		return $res;
	}
 
}

